Subject: Re: bug#49592: 28.0.50; lisp-current-defun-name and non-standard defuns

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Aug 2022 13:57:10 +0200

Michael Heerdegen <[email-masked]> writes:

> Isn't "defun" synonymous with "top-level-form" in such cases
> (e.g. `end-of-defun')?

Yes, I guess.

>>  But this is also used by add-log, so perhaps
>> which-func should just use something completely different and more
>> strict.  I.e., skip back to the top-level form, and then use the edebug
>> spec to pick out the name?
>
> I don't follow - edebug-spec of what, in the above case?

I was suggesting that we could use the edebug spec (instead of
heuristics) if it exists, and otherwise fall back on something simple,
like just showing "(<first top-level symbol> ...)" if there is no edebug
spec with a `name' in it.